## org.biojava.bio.gui.sequence
Class SixFrameZiggyRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.SixFrameZiggyRenderer

All Implemented Interfaces:
  java.io.Serializable, FeatureRenderer, Changeable

    public class SixFrameZiggyRenderer

extends AbstractChangeable
implements FeatureRenderer, java.io.Serializable

A feature renderer that computes the data necessary to render multi-exon transcripts without CDS data.

The actual drawing is done by a child renderer. In this case, SixFrameRenderer is used, which can use data from this renderer to display transcripts in the correct translation frames.

Author:
  David Huen
See Also:
  Serialized Form

Constructor Summary
`SixFrameZiggyRenderer(SixFrameRenderer pane)`

Method Summary
`double` `getBlockDepth()`
`double` `getDepth(SequenceRenderContext src)`
`java.awt.Paint` `getFill()`
`java.awt.Paint` `getOutline()`
`FeatureHolder` `processMouseEvent(FeatureHolder hits, SequenceRenderContext src, java.awt.event.MouseEvent me)`
`void` `renderFeature(java.awt.Graphics2D g, Feature f, SequenceRenderContext context)`
`void` `setBlockDepth(double depth)`
`void` `setFill(java.awt.Paint p)`
`void` `setOutline(java.awt.Paint p)`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SixFrameZiggyRenderer

    public SixFrameZiggyRenderer(SixFrameRenderer pane)

Method Detail

### setFill

    public void setFill(java.awt.Paint p)
                 throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getFill

    public java.awt.Paint getFill()

### setOutline

    public void setOutline(java.awt.Paint p)
                    throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getOutline

    public java.awt.Paint getOutline()

### setBlockDepth

    public void setBlockDepth(double depth)
                       throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getBlockDepth

    public double getBlockDepth()

### getDepth

    public double getDepth(SequenceRenderContext src)

  Specified by:
    `getDepth` in interface `FeatureRenderer`

### renderFeature

    public void renderFeature(java.awt.Graphics2D g,
                              Feature f,
                              SequenceRenderContext context)

  Specified by:
    `renderFeature` in interface `FeatureRenderer`

### processMouseEvent

    public FeatureHolder processMouseEvent(FeatureHolder hits,
                                           SequenceRenderContext src,
                                           java.awt.event.MouseEvent me)

  Specified by:
    `processMouseEvent` in interface `FeatureRenderer`